org.apache.commons.compress.harmony.unpack200.bytecode

## Class OperandManager

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.bytecode.OperandManager

-     public class OperandManager
      extends Object

  This class keeps track of operands used. It provides API to let other classes get next elements, and also knows about which classes have been used recently in super, this and new references.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperandManager(int[] bcCaseCount, int[] bcCaseValue, int[] bcByte, int[] bcShort, int[] bcLocal, int[] bcLabel, int[] bcIntRef, int[] bcFloatRef, int[] bcLongRef, int[] bcDoubleRef, int[] bcStringRef, int[] bcClassRef, int[] bcFieldRef, int[] bcMethodRef, int[] bcIMethodRef, int[] bcThisField, int[] bcSuperField, int[] bcThisMethod, int[] bcSuperMethod, int[] bcInitRef, int[] wideByteCodes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCurrentClass()`
    `String` | `getNewClass()`
    `String` | `getSuperClass()`
    `SegmentConstantPool` | `globalConstantPool()`
    `int` | `nextByte()`
    `int` | `nextCaseCount()`
    `int` | `nextCaseValues()`
    `int` | `nextClassRef()`
    `int` | `nextDoubleRef()`
    `int` | `nextFieldRef()`
    `int` | `nextFloatRef()`
    `int` | `nextIMethodRef()`
    `int` | `nextInitRef()`
    `int` | `nextIntRef()`
    `int` | `nextLabel()`
    `int` | `nextLocal()`
    `int` | `nextLongRef()`
    `int` | `nextMethodRef()`
    `int` | `nextShort()`
    `int` | `nextStringRef()`
    `int` | `nextSuperFieldRef()`
    `int` | `nextSuperMethodRef()`
    `int` | `nextThisFieldRef()`
    `int` | `nextThisMethodRef()`
    `int` | `nextWideByteCode()`
    `void` | `setCurrentClass(String string)`
    `void` | `setNewClass(String string)`
    `void` | `setSegment(Segment segment)`
    `void` | `setSuperClass(String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperandManager

          public OperandManager(int[] bcCaseCount,
                                int[] bcCaseValue,
                                int[] bcByte,
                                int[] bcShort,
                                int[] bcLocal,
                                int[] bcLabel,
                                int[] bcIntRef,
                                int[] bcFloatRef,
                                int[] bcLongRef,
                                int[] bcDoubleRef,
                                int[] bcStringRef,
                                int[] bcClassRef,
                                int[] bcFieldRef,
                                int[] bcMethodRef,
                                int[] bcIMethodRef,
                                int[] bcThisField,
                                int[] bcSuperField,
                                int[] bcThisMethod,
                                int[] bcSuperMethod,
                                int[] bcInitRef,
                                int[] wideByteCodes)

  - ### Method Detail

    - #### getCurrentClass

          public String getCurrentClass()

    - #### getNewClass

          public String getNewClass()

    - #### getSuperClass

          public String getSuperClass()

    - #### globalConstantPool

          public SegmentConstantPool globalConstantPool()

    - #### nextByte

          public int nextByte()

    - #### nextCaseCount

          public int nextCaseCount()

    - #### nextCaseValues

          public int nextCaseValues()

    - #### nextClassRef

          public int nextClassRef()

    - #### nextDoubleRef

          public int nextDoubleRef()

    - #### nextFieldRef

          public int nextFieldRef()

    - #### nextFloatRef

          public int nextFloatRef()

    - #### nextIMethodRef

          public int nextIMethodRef()

    - #### nextInitRef

          public int nextInitRef()

    - #### nextIntRef

          public int nextIntRef()

    - #### nextLabel

          public int nextLabel()

    - #### nextLocal

          public int nextLocal()

    - #### nextLongRef

          public int nextLongRef()

    - #### nextMethodRef

          public int nextMethodRef()

    - #### nextShort

          public int nextShort()

    - #### nextStringRef

          public int nextStringRef()

    - #### nextSuperFieldRef

          public int nextSuperFieldRef()

    - #### nextSuperMethodRef

          public int nextSuperMethodRef()

    - #### nextThisFieldRef

          public int nextThisFieldRef()

    - #### nextThisMethodRef

          public int nextThisMethodRef()

    - #### nextWideByteCode

          public int nextWideByteCode()

    - #### setCurrentClass

          public void setCurrentClass(String string)

    - #### setNewClass

          public void setNewClass(String string)

    - #### setSegment

          public void setSegment(Segment segment)

    - #### setSuperClass

          public void setSuperClass(String string)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.